Grand Magister Devon:
The iron heart is only given to those who pass the Test of the Assassin. Triskel is in charge of that test. He is a great Dark Elf, who has been an Assassin himself for a long time. He is always near the Dark Elven guild in the town of Gludio, so you will easily find him once you get there. You can get to the town of Gludio by following the road to the east. Of course, using a Gatekeeper is much easier.
Return